#contact-me
  form.contact__content
    margin-top: 2rem
    display: grid 
    grid-template-areas: 'identity . email ' 'message message message' 'button . .'
    grid-template-columns: 1fr 1rem 1fr 
    gap: 1rem
    min-height: 300px
    width: max-content
    div.form-group
      width: 100%
      .input
        position: relative 
        .border
          position: absolute
          z-index: 0
          top: -0.25rem
          bottom: -0.25rem
          right: -0.25rem
          left: -0.25rem
          border-radius: 0.5rem
          opacity: .2
        &:focus-within .border
          background: #63ebc4
        .invalid + .border   
          background: orange 
        .invalid:focus
          border: 2px solid orange 
          border-radius:0.5rem
      select // Reset
        padding-right: 0.5rem
        appearance: none
        border: none
        padding: 0 1em 0 0
        margin: 0
        width: 100%
        font-family: inherit
        font-size: inherit
        cursor: inherit
        line-height: inherit
      textarea, input
        background-color: #FBF8F7
        padding: 0.5rem
        &:focus
          border: 2px solid #63ebc4 
          border-radius:0.5rem
      textarea
        width: 100%
      textarea, input, .select
        position: relative
        z-index: 1
        width: 100% 
        border: 2px solid transparent
        border-bottom: 2px solid #eaeaea 
      > * 
        display: block
      &.contact__content_identity
        grid-area: identity
      &.contact__content_email
        grid-area: email 
      &.contact__content_message
        grid-area: message
      label
        margin-bottom:0.5rem
      .select
        display: grid
        grid-template-areas: "select"
        align-items: center
        font-size: 1rem
        cursor: pointer
        &:focus-within
          border: 2px solid #63ebc4 
          border-radius:0.5rem
        select
          background-color: transparent
          padding: 0.5rem
          width: 100% 
          grid-area: select
        &::after
          grid-area: select 
          justify-self: end
          align-self: center
          margin-right: 0.5rem
          content: ""
          display: inline-block
          width: 1rem
          height: 0.5rem
          background-color: currentColor 
          clip-path: polygon(100% 0%, 0 0%, 50% 100%)
    button
      cursor: pointer 
      grid-area: button

  @media screen and (max-width: 800px)
    form.contact__content
      width:100%
      display: flex
      flex-direction: column
      textarea, input
        width: 100%
        max-width:100%
